Journal Dredi : Ubuntu, AMD/ATI et drivers propriétaires

Posté par .
Tags : aucun
8
17
oct.
2008
(via Phoronix, le site qui parle de GNU/Linux et de drivers proprio)

Bonjour,

Aujourd'hui c'est vendredi, et c'est un beau jour pour mourir se faire moinsser* parler de Ubuntu.
La nouvelle version de Ubuntu (8.10, nom de code L' Ibex Intrépide**) va sortir bientôt avec un serveur X 1.5 (tout nouveau tout beau) et comme d'habitude Ubuntu propose des drivers propriétaires (qui puent et qui ne sont pas libres mais que tout le monde*** installe parce que le cube c'est Wahou...) pour les cartes graphiques NVIDIA et AMD/ATI.

Or voilà : Les drivers Catalyst 8.10, puisque c'est leur nom, ne sont pas compatible avec le serveur X 1.5.

Sauf chez Ubuntu[1]. (Ils sont fort quand même). À la limite ça aurait pu en rester là sauf qu'on apprend[2] que le support officiel du serveur X 1.5 ne sortira que le mois prochain ( et donc que les autres distributions qui éventuellement se laissent corrompre intègrent le driver Catalyst à leurs dépôts, n'auront le support du serveur X 1.5 que plus tard.

Ou alors les plus téméraires installerons le driver de leur distribution préféré (enfin plus pour longtemps) et récupéreront le binaire de chez Ubuntu pour bricoler un truc bancal et qui plantera sûrement (mais qui fera marcher le cube entre les plantages...)

J'ai beau rouler dans une voiture orange, avoir tous les goodies Ubuntu (acheter sur Canonical store[3] ) et avoir un poster au dessus de mon lit, j'ai un arrière gout dans la bouche et un truc qui me dérange...

(Non en réalité je m'en fous****, je viens de jeter mon rasoir et tous mes miroirs et je vais aller rejoindre les barbus dans leur village libre de tous drivers qui puent)

Et vous quand pensez vous? (moi perso, pas le vendredi, ni les week-end et jours fériées)


--
*en novlangue dans le texte.
**en français dans le texte.
***Tout le monde? Non il existe encore un village de libriste intégriste barbu qui résiste encore et toujours à l'envahisseur
**** J'ai pas de carte graphique ATI/AMD

PS: Super le correcteur orthographique intégré, meilleur que celui de firefox . Bien que je suis sûr qu'il reste pleins de fôtes d'orthographe involontaire dans ce texte ; amis lecteur sauras tu les retrouver? D'ailleurs je m'engage à pertinenter* tous les commentaires qui trouveront des fautes dans ce texte!

liens :
[1]http://www.phoronix.com/scan.php?page=article&item=canonical(...)

[2]http://www.phoronix.com/scan.php?page=news_item&px=Njc4OA

[3]https://shop.canonical.com/
  • # balises html

    Posté par . Évalué à 3.

    Tiens je viens de m'apercevoir que les balises HTML ne passe pas dans l' aperçu sur la page http://linuxfr.org/journal/.

    Es ce qu'il faut signaler le bug ou c'est une fonctionnalité pour avoir une meilleur conformité avec les standards W3C?

    CF : http://linuxfr.org/2008/10/16/24593.html#973918
  • # pas que

    Posté par . Évalué à 4.

    qui puent et qui ne sont pas libres mais que tout le monde*** installe parce que le cube c'est Wahou...)

    Ta spring aussi c'est pas mal ... mais sans driver 3d c'est moins bien.
    • [^] # Re: pas que

      Posté par . Évalué à 2.

      des drivers propriétaires (qui puent et qui ne sont pas libres mais que tout le monde*** installe parce que le cube c'est Wahou...)
      L'arrogance du libriste extrêmiste.

      NON! C'est pour avoir la transparence+flou, des mouvements fluides, l'excellent exposé, le groupement par onglet, l'étalage des bureaux!

      Avec ces outils/extensions, les gestionnaires de fenêtres flottantes prennent une toute autre dimension et même redoutables!

      On n'est pas nécessairement un kéké, pour toute technologie, il existe 100 façon de mal l'utiliser.

      bye

      ps: Et puis les pilotes propios ce n'est pas que pour compiz, c'est aussi pour KDE 4 :p

      ps2: oui j'ai l'effet wobbly activé et je ne m'en lasse pas!
  • # Ce que j'en pense...

    Posté par (page perso) . Évalué à 3.

    - J'ai choisi un portable entres autres parce qu'il n'avait *pas* de puce ATI/nVidia (chipset Ibm x3100)
    • [^] # Re: Ce que j'en pense...

      Posté par . Évalué à 5.

      Ce que j'en pense ?? Ben en fait j'ai rien compris ....
    • [^] # Re: Ce que j'en pense...

      Posté par . Évalué à 4.

      Je pense que les gens sont libres d'utiliser ou non les drivers propriétaires, Ubuntu n'installe d'ailleurs pas ces drivers par défaut. Lorsque les drivers libres auront suffisamment muris, la question ne se posera plus et c'est en bonne voie pour ATI.

      Personnellement, je m'en fout (à moitié à cause de mon PC fixe avec une ATI X800 que j'aimerai aussi passer sous Ubuntu) car mon portable sous Ubuntu tourne avec une carte Intel X3100 comme David Sporn et c'est que du bonheur pour faire tourner mon cube.
  • # Petit échantillon de fôtes...

    Posté par . Évalué à 7.

    les plus téméraires installeront
    les goodies Ubuntu (achetés sur Canonical store[3] )
    Et vous qu'en pensez-vous?
    de fôtes (ça je laisse) d'orthographe involontaires
    • [^] # Re: Petit échantillon de fôtes...

      Posté par . Évalué à 5.

      Et vous qu'en pensez-vous?
      Vu ce qui se trouve dans les parenthèses après, je pense qu'il s'agissait d'un jeu de mot et non d'une faute.

      Sinon, il y a :
      libristes intégristes barbus
      distribution préférée

      Tom
      • [^] # Re: Petit échantillon de fôtes...

        Posté par . Évalué à 6.

        La plus grosse faute : driver pilote !

        ­La faculté de citer est un substitut commode à l'intelligence -- Somerset Maugham

  • # Ceci est de la logique :

    Posté par (page perso) . Évalué à 2.

    Les gens sont libres de pouvoir utiliser le matériel pour lequel ils ont payé.

    S'ils ont acheté du matos qui n'a pas de driver libre fonctionnel, c'est leur problème, c'est pas de chance et je m'en frotte les mains :)
  • # quelques fautes

    Posté par . Évalué à 1.

    ne sont pas compatible (manque un s à la fin
    distribution préféré (manque un e à la fin)
    • [^] # une autre

      Posté par . Évalué à 2.

      gout manque un accent circonflexe sur le u)
  • # et aussi

    Posté par (page perso) . Évalué à 2.

    >>>jours fériées
    fériés

    If you choose open source because you don't have to pay, but depend on it anyway, you're part of the problem.evloper) February 17, 2014

  • # Phoronix, le site qui parle aussi beaucoup...

    Posté par . Évalué à 5.

    ... de drivers libres.
    On y trouve aussi beaucoup de nouvelles sur les dernières avancées de radeonHD par exemple.

    Sinon ya pas que Compiz dans la vie.
    J'ai acheté une ATI grâce/à cause des bonnes nouvelles (les docs fournites, toussa). J'ai cru que ça irait plus vite en ce qui concerne les pilotes libres. Mais me voilà bien obligé d'utiliser les pilotes proprios. Je peux me passer de 3d mais il manque aussi XV, l'accélération 2d mais aussi et surtout la gestion d'énergie. Et là bonjour le boukan du ventilateur de la carte :s
    • [^] # Re: Phoronix, le site qui parle aussi beaucoup...

      Posté par (page perso) . Évalué à 7.

      J'ai acheté une ATI grâce/à cause des bonnes nouvelles (les docs fournites, toussa). J'ai cru que ça irait plus vite en ce qui concerne les pilotes libres.

      Les promesses n'engagent que ceux qui y croient.
      On m'envoyait balader quand je disais qu'il fallait attendre pour voir le résultat de la promesse avant de dire "achetez ATI", voila ce que c'est de ne pas attendre avant de dire "vive ATI pour le libre".

      Une règle d'or : ne prendre en compte que ce qui est disponible, pas ce qui le sera hypothétiquement. Et pour le moment il n'y a que Intel qui tienne la route.
      • [^] # Re: Phoronix, le site qui parle aussi beaucoup...

        Posté par . Évalué à 1.

        J'avais besoin d'une carte de joueur (j'ai un pied dans le monde privateur :s -méchant double boot-)
        Mais sinon tu as raison, mais je voulais acheter une carte à un moment T, et j'ai donc spéculé sur les futurs pilotes libres. De toute façon, il n'y a pas le moindre signe d'ouverture chez nvidia.

        J'ai suivi la règle d'or quand j'ai eu à acheter un laptop (vidéo et wifi intel).
      • [^] # Re: Phoronix, le site qui parle aussi beaucoup...

        Posté par . Évalué à 4.

        je suis quand même pas mal ce qui se fait dans le libre mais lorsque j'ai acheté mon portable il y a 1 an et 1/2, je croyais que c'était nvidii qui était le mieux supporté en drivers libres. Il s'avèrent qu'en fait c'est plutot intel et depuis je suis un peu obligé d'installer les drivers proprio.

        Mis à part le fait qu'il me fallait un pc rapidement et qui m'a conduit à pas me renseigner mais baser mon choix sur mes connaissances, je doute grandement qu'une personne normale dissèque chaque composant de chaque pc qu'il veut comparer afin de voir si c'est bien supporté.
    • [^] # Re: Phoronix, le site qui parle aussi beaucoup...

      Posté par . Évalué à 2.

      Depuis pas mal d'années, je n'achète que des Radeons librement supportée (j'ai commencé à faire ça avant l'existence de drivers libres de chez Intel... et comme, jusqu'à RandR 1.2, je faisais du Multi-GPU, et que les IGP Intel ne peuvent pas fonctionner avec une carte PCIe, bah...)...

      ... de la 9200 à la X1550, en passant par, non exhaustivement, de la 9600, 9800, X800...

      Et je n'ai vraiment eu de problèmes qu'avec la dernière, la X1550 (pourquoi as-tu cramé, petite X800 ?!? Ô pourquoi ?!?)... en effet, elle ne marche vraiment bien qu'à partir des drivers libres issus du GIT printanier de chez Freedesktop...

      ... bon, cela dit, je n'ai vraiment de problèmes avec ça que parce que Debian est freezée, et que du coup, ce qu'on trouve habituellement dans Sid est passé dans Experimental... en installant le X.org 7.4 d'Experimental, dont dépend xserver-xorg-video-radeon-1:6.9.0+git20080826.a3cc1d7a-2 dans Debian, ça roule (Xv, DRI, tout-ça... bon, il y a bien quelques bugueries, notamment de détection de la résolution de mes écrans, m'enfin)...

      Je ne dis pas non plus que ça marche pour toutes les Radeons, hein... mais tant qu'Intel ne se mettra pas à sortir des GPU PCIe sous forme de cartes à brancher, je ne suis pas prêt de m'arrêter d'en acheter (en m'étant assuré que le support libre n'est pas loin)...

      ... j'ai eu une nvidia... deux mois après, elle passait en legacy, perdant la sortie TV (très médiocre, soit dit en passant) qui m'avait fait l'acheter... on ne m'y reprendra plus ; jamais.
      • [^] # Re: Phoronix, le site qui parle aussi beaucoup...

        Posté par (page perso) . Évalué à 2.

        J'ai exactement la même démarche (mais sous Ubuntu, la honte... j'ai aussi une Mandriva, pas taper)... Bref, ma Nvidia déclaré obsolète, basta les drivers proprio, ATI en libre ça le fait, ça ne peux que progresser au lieu de régresser.
        Par contre, je suis encore avec ma 9250, ça commence à dater. C'est quoi en plus récent PCIe (pas forcément dernier cri) qui fonctionne bien avec les drivers libres (surtout pour la 3D, compiz et OpenArena) ? La X800 ? Gère plus puissante que la 9250 non ? Et je veux du fanless, j'aime pas les turbines... Merci :)
        • [^] # Re: Phoronix, le site qui parle aussi beaucoup...

          Posté par . Évalué à 3.

          La X800, ça va être chaud à trouver (d'occas, ça devrait le faire... mais neuf, c'est peu ou prou mort... sinon, c'est ce que j'aurais repris à la place de la X1550)... Dommage, car c'était du R400, le top de ce qui est très bien supporté par les drivers libres (cela dit, les choses évoluent vite)... et ça faisait largement tourner OpenArena...

          ... après, niveau fanless, en général, faut taper dans les entrées de gamme (comme la X1550 que j'ai prise), tant qu'à faire avec de la révision à la baisse d'anciens chipsets (par exemple, la X1550 est une révision de la X1300, ie RV516 vs RV515, tournant un peu moins vite, et gravée en 80nm au lieu de 90nm)...

          C'est moins puissant, mais ça évite de jouer les chirurgiens avec des rads fanless monstrueux, qui ne rafraîchissent pas toujours comme il faut (d'où la mort de ma X800XL)... le rad de ma X1550 me fait penser aux minuscules de mes 9600, c'est dire (bon, pour moi, le minimum syndical, c'est Xv... DRI, c'est déjà du bonus, vu l'usage que j'en ai... quoique KDE4 pointant son nez...)...

          Pour la X1550, ça marche bien avec X.org 7.4 et des drivers récents (post 6.9, qui sont les derniers en version "finale", a priori, de chez Freedesktop... je ne sais pas ce qu'ils utilisent avec tes distros) ; ça vaut peau de zob ; ça ne chauffe pas... et ça me suffit. Si tes distros supportent les drivers freedesktop récent pour les radeons (ie qui datent au plus tôt du printemps dernier), va pour de la X1550 passive (quoique je n'ai pas testé avec des trucs comme OpenArena... donc, là, avec des pincettes) : on en trouve encore plutôt facilement... et comme tu dis, le support ne pourra aller en s'empirant avant très longtemps, comme c'est le cas avec les trucs à blob. Et comme je garde mes cartes très longtemps (je suis repassé à de la 9200 PCI, en attendant ma X1550, après le décès de ma X800XL... un peu anachronique, sur la mobo équipée de 2Go de DDRII, de centaines de Gio en SATA, de deux fois plus de PCIe que de PCI et d'un quad-core, mais je suis bien content d'en avoir encore eu en rab), c'est tout sauf pour me déplaire.
  • # osef

    Posté par . Évalué à 9.

    Et vous quand pensez vous? (moi perso, pas le vendredi, ni les week-end et jours fériées)

    Si quelqu'un est prêt à utiliser un driver propriétaire, il est prêt à subir les conséquences de son utilisation, c'est à dire :
    - ne pas contrôler que le support de son hardware peut disparaitre du jour au lendemain au gré d'un changement de version, sans aucun recours.
    -ne pas contrôler ce que le fabricant du matériel concerné décide d'aider ou pas

    Dans ce cas précis, si quelqu'un a du tort dans cette histoire, c'est ATI (parce qu'ils décident de fournir un truc sale à une seule distro) et l'éventuel utilisateur qui veut utiliser le driver propriétaire. Ubuntu ne fait que proposer mais ne force personne. Ubuntu n'y est pour rien si ATI décide de ne pas fournir son driver aux autres distribs.

    Personnellement, je doute que ubuntu soit vraiment la seule à disposer de ce driver compatible avec Xorg 1.5. C'est juste que le hasard des calendriers fait que ubuntu est la première à fournir xorg et que donc, c'est la première à en avoir besoin. ATI doit surement utiliser cette release comme beta test de son driver.

    Donc au final ça ne m'atteint pas, je ne suis pas client.
    • [^] # Re: osef

      Posté par . Évalué à 2.

      Surtout que ATI/AMD c'est plus lie a Opensuse mais comme cette derniere ne va pas sortir tout de suis une nouvelle version... Enfin a mon avis vu le merdier que c'est fglrx ca vaut vraiment pas le coup de les utiliser a moins de vraiment vouloir avoir 2 fps en plus... ou une carte toute recente quoique pour celles la je crois que radeonhd commence a etre pas trop mal a jour aussi mais il vrai pas encore aussi complet que le driver ati.

      Enfin il parait que le passage a xorg 7.4 et surtout mesa 7.2 va grandement ameliorer la 3D sous linux.
      • [^] # Re: osef

        Posté par . Évalué à 2.

        J'ai testé sur un des premiers Mac Intel (Radeon X1600), et fglrx a au moins un énorme avantage : il s'installe relativement simplement (quoique c'est tout de même pas immédiat, mais au moins ça semble prévu sur les distribs). Alors qu'une version de radeonhd qui gère bien la carte, même avec 2fps de moins que le driver propri, ça demande du git/svn et du gcc à outrance. Quand ça marche. Et pourtant c'est une carte vieille de plusieurs années...

        Enfin ce que j'en dis ;)
        • [^] # Re: osef

          Posté par . Évalué à 2.

          je voudrais pas faire de la pub pour certaines distribs mais des paquets pre-compile de git cela existent...
          • [^] # Re: osef

            Posté par . Évalué à 3.

            Et ça marche?
            • [^] # Re: osef

              Posté par . Évalué à 3.

              c'est ce que j'utilise depuis plus de 1 an avec des mise a jour reguliere et un progres visible en particulier avec kde4 ou j'avais de gros artefacts des que je mettais le compositing et c'est en train de disparaitre (encore un petit reste sur les fenetres non Qt).
    • [^] # Re: osef

      Posté par . Évalué à 3.

      "C'est juste que le hasard des calendriers fait que ubuntu est la première à fournir xorg et que donc, c'est la première à en avoir besoin."

      Fedora 9 est sortie le 13 mai avec déjà Xorg 1.5, une préversion à l'époque mais mise en jour depuis.
      • [^] # Re: osef

        Posté par . Évalué à 2.

        s/la première/la première des distro proposant des drivers proprio/

        c'est mieux ? :o)
  • # Le petit lapin ...

    Posté par (page perso) . Évalué à 6.

    .. va te dire mon sentiment :
    http://www.acapela-group.com/Greetings/Winter-1-bace162ccaf6(...)

    bon, c'est vendredi ...

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.